using SqlSugar;
using System;
using System.Runtime.Serialization;
using WCS.Entity.Protocol.Protocol.Robot;

namespace WCS.Entity.Protocol.Robot
{
    [DataContract]
    [SugarTable("FJ_Robot530")]
    public class WCS_Robot530 : IRobot530
    {
        [DataMember(Order = 0)]
        public short Type { get; set; }

        [DataMember(Order = 1)]
        public short MaxQuantity { get; set; }

        [DataMember(Order = 2)]
        public RobotCmdType CmdType { get; set; }

        [DataMember(Order = 3)]
        public short VoucherNo { get; set; }

        [DataMember(Order = 4)]
        [TimeDbSplitField(DateType.Month)]
        public new DateTime Frame { get; set; }

        [DataMember(Order = 5)]
        [SugarColumn(ColumnDataType = "symbol")]
        public new string Code { get; set; }
    }
}
